Skip to main content
`Ctrl`+`K`

# EPSKrylovSchurGetPartitions

Gets the number of partitions of the communicator in case of spectrum slicing.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSKrylovSchurGetPartitions(EPS eps,PetscInt *npart)

Not Collective

## Input Parameter

- eps - the linear eigensolver context

## Output Parameter

- npart - number of partitions

## See Also

EPS: Eigenvalue Problem Solver, `EPSKRYLOVSCHUR`, `EPSKrylovSchurSetPartitions()`

## Level

advanced

## Location

src/eps/impls/krylov/krylovschur/krylovschur.c

## Implementations

EPSKrylovSchurGetPartitions_KrylovSchur() in src/eps/impls/krylov/krylovschur/krylovschur.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages